# HuffmanEncodingTreeNode Struct Reference

`#include <HuffmanEncodingTreeNode.h>`

List of all members.

## Public Attributes

unsigned char | value
unsigned | weight
HuffmanEncodingTreeNode * | left
HuffmanEncodingTreeNode * | right
HuffmanEncodingTreeNode * | parent

## Detailed Description

Todo:
  BasicDataStructure namespace maybe This structure define a node eof an Huffman Tree

## Member Data Documentation

HuffmanEncodingTreeNode* HuffmanEncodingTreeNode::left

| Left Child Node

HuffmanEncodingTreeNode* HuffmanEncodingTreeNode::parent

| Parent Node

HuffmanEncodingTreeNode* HuffmanEncodingTreeNode::right

| Right Child Node

unsigned char HuffmanEncodingTreeNode::value

| Node value

unsigned HuffmanEncodingTreeNode::weight

| Node weight

The documentation for this struct was generated from the following file:

- Projects/raknet/include/raknet/HuffmanEncodingTreeNode.h